<script>
    var requireJS = [];
    loadJS(requireJS, "js/common.js");
    loadJS(requireJS, "js/views/topups.js");
</script>

<div class="page-title">
    <div class="title_left">
        <h4 th:text="#{topUpsListInternal}">Listado de recargas</h4>
    </div>
</div>
<div class="clearfix"></div>
<div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">

                <div class="search-bar" style="overflow: auto">
                    <div class="col-md-12">
                        <input type="text" th:value="${q}" placeholder="Buscar..." th:attr="placeholder=#{search} + '...'" name="q" id="q"/>
                        <span th:text="#{since}">Desde:</span>
                        <input type="date" th:value="${from}" placeholder="Desde" name="from" id="from"/>
                        <span th:text="#{until}">Hasta:</span>
                        <input type="date" th:value="${to}" placeholder="Hasta" name="to" id="to"/>
                        <span th:text="#{records}">Registros:</span>
                        <select name="size" id="size">
                            <option th:selected="${size == null || (size != null && size == '20')}" value="20">20</option>
                            <option th:selected="${size != null && size == '50'}" value="50">50</option>
                            <option th:selected="${size != null && size == '100'}" value="100">100</option>
                            <option th:selected="${size != null && size == '500'}" value="500">500</option>
                            <option th:selected="${size != null && size == '1000'}" value="1000">1000</option>
                        </select>                        
                        <button class="btn btn-info btn-sm" id="search-button"><i class="fa fa-search"></i>&nbsp;<span th:text="#{search}"></span></button>

                        <!--ToolBar-->
                        <ul class="nav navbar-right panel_toolbox">
                            <li class="dropdown">
                                <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
                                    <i class="fa fa-gears wings-tool-bar"></i>
                                </a>
                                <ul class="dropdown-menu" role="menu">
                                    <li>
                                        <a class="action-button" id="add-topup">
                                            <i class="fa fa-plus-square-o"></i>&nbsp;
                                            <span th:text="#{addTopUp}"></span>
                                        </a>
                                    </li>
                                </ul>
                            </li>
                        </ul>
                    </div>
                </div>
                <div class="clearfix"></div>
            </div>
            <div>
                <div class="table-responsive-tall">
                    <table class="table table-condensed table-striped jambo_table">
                        <thead>
                            <tr class="headings">
                                <th><input type="checkbox"/></th>
                                <th>#</th>
                                <th th:text="#{date}"></th>
                                <th th:text="#{number}">Número</th>
                                <th th:text="#{amount}">Monto</th>
                                <th th:text="#{provider}">Proveedor</th>
                                <th th:text="#{state-}">Estado</th>                                
                            </tr>
                        </thead>
                        <tbody>
                            <tr th:each="item : ${page.content}">
                                <td><input th:id="${item.id}" type="checkbox" name="member-id"></td>
                                <td th:text="${item.id}"></td>
                                <td th:text="${#dates.format(item.creationDate, 'dd/MM/yyyy')}" th:title="${#dates.format(item.creationDate, 'dd/MM/yyyy HH:mm:ss')}"></td>
                                <td th:text="${item.msisdn}"></td>
                                <td>
                                    <span th:text="${item.getPaymentAmountText()}"></span> 
                                </td>
                                <td th:text="${item.provider}"></td>
                                <td th:text="${item.status}"></td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <div th:replace="frags/pagination :: paginationbar"></div>
    </div>
</div>



